Package waffle.util

## Class SPNegoMessage

- java.lang.Object
- - waffle.util.SPNegoMessage

    public final class SPNegoMessage
    extends Object

Rudimentary NTLM message utility.

Author:
  ari.suutari[at]syncrontech[dot]com

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isNegTokenArg​(byte[] message)` Checks if is neg token arg.
`static boolean` `isNegTokenInit​(byte[] message)` Checks if is neg token init.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isNegTokenInit

    public static boolean isNegTokenInit​(byte[] message)

Checks if is neg token init.

Parameters:
  `message` - the message
Returns:
  true, if is neg token init

#### isNegTokenArg

    public static boolean isNegTokenArg​(byte[] message)

Checks if is neg token arg.

Parameters:
  `message` - the message
Returns:
  true, if is neg token arg